﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;
using System.Windows.Data;
using System.ComponentModel;

namespace XamGridCombo
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Data> MySource { get; set; }
        public MainPage()
        {
            InitializeComponent();
            MySource = new ObservableCollection<Data>();
            this.DataContext = this;
        }

        private void xamGrid1_CellExitedEditMode(object sender, CellExitedEditingEventArgs e)
        {
            if (e.Cell.Column.Key == "Text")
            {
                Dictionary<int, string> tmp = new Dictionary<int, string>();
                tmp.Add(1,e.Cell.Value.ToString());
                (e.Cell.Row.Data as Data).ComboOptions = tmp;
            }
        }
    } 

    public class Data:INotifyPropertyChanged
    {
        public string Text { get; set; }

        private string comboChoice;

        public string ComboChoice
        {
            get { return comboChoice; }
            set 
            { 
                comboChoice = value;
                PropChanged("ComboChoice");
            }
        }

        private Dictionary<int, string> comboOptions;

        public Dictionary<int, string> ComboOptions
        {
            get { return comboOptions; }
            set
            {
                comboOptions = value;
                PropChanged("ComboOptions");
            }
        }
        

        public event PropertyChangedEventHandler PropertyChanged;

        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
